/**
 * <a href="http://www.openolat.org">
 * OpenOLAT - Online Learning and Training</a><br>
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at the
 * <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache homepage</a>
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 * Initial code contributed and copyrighted by<br>
 * frentix GmbH, http://www.frentix.com
 * <p>
 */
package org.olat.modules.portfolio.model;

import org.olat.core.gui.components.form.flexible.elements.FormLink;
import org.olat.core.util.vfs.VFSLeaf;
import org.olat.modules.portfolio.Media;

/**
 * 
 * Initial date: 20.06.2016<br>
 * @author srosse, stephane.rosse@frentix.com, http://www.frentix.com
 *
 */
public class MediaRow {
	
	private Media media;

	private VFSLeaf thumbnail;
	private FormLink openFormLink;
	
	public MediaRow(Media media, VFSLeaf thumbnail, FormLink openFormLink) {
		this.media = media;
		this.thumbnail = thumbnail;
		this.openFormLink = openFormLink;
	}
	
	public Long getKey() {
		return media.getKey();
	}
	
	public String getTitle() {
		return media.getTitle();
	}
	
	public FormLink getOpenFormItem() {
		return openFormLink;
	}
	
	public String getOpenFormItemName() {
		return openFormLink == null ? null : openFormLink.getComponent().getComponentName();
	}
	
	public boolean isThumbnailAvailable() {
		return thumbnail != null;
	}
	
	public VFSLeaf getThumbnail() {
		return thumbnail;
	}
	
	public String getThumbnailName() {
		return thumbnail == null ? null : thumbnail.getName();
	}

}
